export class Asset {
    public aId: string;
    public AssetId: string;
    public gwSNO: string;
    public companyId: string;
    public companyName: string;
    public AssetType: string;
    public make: string;
    public model: string;
    public serialNumber: string;
    public unitNumber: string;
    public vin: string;
    public softwareId: string;
    public calibrationId: string;
    public customerReference: string;
    public customerFacilityGroup: string;
    public customerEquipmentGroup: string;
    public customerEquipmentId: string;
    public createdBy: string;
    public updatedBy: string;
    public LastUpdatedDate: Date;
    public status: boolean | number;
    public Status: boolean | number;
    public Logo: string;
    public tags: string[];
    constructor(private asset: any = {}) {
        this.aId = asset.aId || null;
        this.AssetId = asset.AssetId || '';
        this.gwSNO = asset.gwSNO || '';
        this.companyId = asset.companyId || '';
        this.companyName = asset.companyName || '';
        this.AssetType = asset.AssetType || '';
        this.make = asset.make || '';
        this.model = asset.model || '';
        this.serialNumber = asset.serialNumber || '';
        this.unitNumber = asset.unitNumber || '';
        this.vin = asset.vin || '';
        this.softwareId = asset.softwareId || '';
        this.calibrationId = asset.calibrationId || '';
        this.customerReference = asset.customerReference || '';
        this.customerFacilityGroup = asset.customerFacilityGroup || '';
        this.customerEquipmentId = asset.customerEquipmentId || '';
        this.createdBy = asset.createdBy || '';
        this.updatedBy = asset.updatedBy || '';
        this.LastUpdatedDate = asset.LastUpdatedDate ? new Date(asset.LastUpdatedDate) : null;
        this.status = asset.Status === undefined ? 0 : asset.Status;
        this.Status = asset.Status === undefined ? 0 : asset.Status;
        this.Logo = asset.Logo || '';
        this.tags = asset.tags || [];
    }
}
